# WOK
TKWOK
WOKMake

# WOKMake_HSequenceOfInputFile Class Reference

`#include <WOKMake_HSequenceOfInputFile.hxx>`

## Public Member Functions

| WOKMake_HSequenceOfInputFile ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(WOKMake_InputFile)&anItem)
Standard_EXPORT void | Append (const Handle(WOKMake_HSequenceOfInputFile)&aSequence)
Standard_EXPORT void | Prepend (const Handle(WOKMake_InputFile)&anItem)
Standard_EXPORT void | Prepend (const Handle(WOKMake_HSequenceOfInputFile)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKMake_InputFile)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKMake_HSequenceOfInputFile)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKMake_InputFile)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKMake_HSequenceOfInputFile)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKMake_HSequenceOfInputFile | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(WOKMake_InputFile)&anItem)
Standard_EXPORT const Handle_WOKMake_InputFile & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_WOKMake_InputFile & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKMake_SequenceOfInputFile & | Sequence () const
WOKMake_SequenceOfInputFile & | ChangeSequence ()
Standard_EXPORT Handle_WOKMake_HSequenceOfInputFile | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKMake_SequenceOfInputFile | mySequence

## Constructor & Destructor Documentation

WOKMake_HSequenceOfInputFile::WOKMake_HSequenceOfInputFile | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Append | ( | const Handle(WOKMake_HSequenceOfInputFile)& | aSequence | ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Append | ( | const Handle(WOKMake_InputFile)& | anItem | ) |

WOKMake_SequenceOfInputFile& WOKMake_HSequenceOfInputFile::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_WOKMake_InputFile& WOKMake_HSequenceOfInputFile::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Clear | ( |  | ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKMake_HSequenceOfInputFile::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfInputFile::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_HSequenceOfInputFile)& | aSequence
| ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_InputFile)& | anItem
| ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_HSequenceOfInputFile)& | aSequence
| ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_InputFile)& | anItem
| ) |

Standard_Boolean WOKMake_HSequenceOfInputFile::IsEmpty | ( |  | ) | const

Standard_Integer WOKMake_HSequenceOfInputFile::Length | ( |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Prepend | ( | const Handle(WOKMake_HSequenceOfInputFile)& | aSequence | ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Prepend | ( | const Handle(WOKMake_InputFile)& | anItem | ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKMake_HSequenceOfInputFile::Reverse | ( |  | ) |

const WOKMake_SequenceOfInputFile& WOKMake_HSequenceOfInputFile::Sequence | ( |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfInputFile::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_InputFile)& | anItem
| ) |

Standard_EXPORT Handle_WOKMake_HSequenceOfInputFile WOKMake_HSequenceOfInputFile::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKMake_HSequenceOfInputFile WOKMake_HSequenceOfInputFile::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_WOKMake_InputFile& WOKMake_HSequenceOfInputFile::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKMake_SequenceOfInputFile WOKMake_HSequenceOfInputFile::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKMake_HSequenceOfInputFile.hxx